Name: rsync
Version: 2.5.7
%define vers_pre %nil
%define vers_alt alt2.1
Release: %vers_alt%vers_pre
%define srcname %name-%version%vers_pre

Summary: A program for synchronizing files over a network
License: GPL
Group: Networking/File transfer

# rsync.samba.org::rsyncftp/%srcname.tar.gz
Source: ftp://%name.samba.org/pub/%name/%srcname.tar.bz2
Source1: %name.xinetd
Source2: rsyncd.conf

Patch1: %name-2.4.6-rhs-segv.patch
Patch2: %name-2.5.0-rhs-build.patch
Patch3: %name-2.5.6-alt-defaults.patch
Patch4: %name-2.5.6-alt-apt.patch
Patch5: %name-2.5.7-alt-setrlimit.patch
Patch6: %name-2.6.2-alt-2.6.3cvs.patch

# Automatically added by buildreq on Fri Nov 15 2002
BuildRequires: libpopt-devel

%package server
Summary: Server environment for the %name program
Group: System/Servers
PreReq: %name = %version-%release, coreutils, shadow-utils

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files).  Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the %name algorithm
is included in this package.

Install %name if you need a powerful mirroring program.

%description server
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files).  Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the %name algorithm
is included in this package.

Install %name-server if you need powerful mirroring server.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%configure --with-rsh=/usr/bin/ssh
%make_build CCOPTFLAGS="$RPM_OPT_FLAGS"
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:make check}}}

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_mandir/man{1,5}}
%makeinstall
%__install -pD -m640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/%name
%__install -pD -m600 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/rsyncd.conf

%post server
/usr/sbin/groupadd -r -f rsyncd >/dev/null 2>&1
/usr/sbin/useradd -r -g rsyncd -d /dev/null -s /dev/null -c 'The %name daemon' -n rsyncd >/dev/null 2>&1 ||:

%triggerpostun server -- %name
for f in %_sysconfdir/rsyncd.conf %_sysconfdir/xinetd.d/%name; do
	if [ ! -f "$f" ]; then
		if [ -f "$f.rpmsave" ]; then
			%__cp -pf "$f.rpmsave" "$f"
		elif [ -f "$f.rpmnew" ]; then
			%__cp -pf "$f.rpmnew" "$f"
		fi
	fi
done

%files
%_bindir/*
%_man1dir/*
%doc tech_report.tex *NEWS* README zlib/README.rsync TODO

%files server
%config(noreplace) %_sysconfdir/xinetd.d/%name
%config(noreplace) %_sysconfdir/rsyncd.conf
%_man5dir/*

%changelog
* Tue Aug 17 2004 Stanislav Ievlev <inger@altlinux.org> 2.5.7-alt2.1
- apply security fix from 2.6.3rc1

* Fri Dec 05 2003 Dmitry V. Levin <ldv@altlinux.org> 2.5.7-alt2
- rsync_module: apply resource limits to unprivileged process:
  set RLIMIT_NPROC = 1.

* Thu Dec 04 2003 Dmitry V. Levin <ldv@altlinux.org> 2.5.7-alt1
- Updated to 2.5.7 (fixes buffer handling bugs, CAN-2003-0962).

* Tue Jan 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2.5.6-alt1
- Updated to 2.5.6.
- Updated patches:
  + alt-defaults (--delete-after part merged upstream);
  + alt-cleanup removed (merged upstream);
  + mdk-testsuite removed (merged upstream);
  + alt-apt rediffed.

* Fri Nov 15 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.5-alt3
- Don't make check when generating buildrequires.
- Updated buildrequires.

* Thu Sep 19 2002 Sviatoslav Sviridov <svd@altlinux.ru> 2.5.5-alt2.1
- Applied patch for apt support

* Thu Aug 29 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.5-alt2
- Applied patch for exit_cleanup from Sviatoslav Sviridoff.
- xinetd config: nice = 10, rlimit_as = 16M;
- Fixed testsuite: some tests will incorrectly fail if we don't
  already have an rsync binary installed on the system (mdk).

* Tue May 28 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.5-alt1
- 2.5.5 release.
- Built --with-rsh=/usr/bin/ssh.

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.4-alt3
- Fixed %triggerpostun script.

* Thu Mar 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.4-alt2
- Added some docs.

* Wed Mar 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.4-alt1
- 2.5.4 release.

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.4-alt0.1.pre1
- 2.5.4pre1.
- Moved public server environment to %name-server subpackage.

* Mon Mar 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.3-alt2.
- 2.5.3 release.

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.3-alt1.pre1
- 2.5.3pre1.

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt3
- Reenable builtin zlib for a while (it differs from system one).

* Fri Feb 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt2
- Link with system zlib.

* Mon Jan 28 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt1
- 2.5.2 release.

* Fri Jan 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt0.1pre3
- 2.5.2pre3.

* Thu Jan 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt0.1pre2
- 2.5.2pre2.

* Wed Jan 23 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.2-alt0.1pre1
- 2.5.2pre1.

* Fri Jan 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.5.1-alt1
- 2.5.1

* Mon Dec 03 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.5.0-alt1
- 2.5.0, updated patch.
- Fixed segfault on weird arguments (rh).

* Mon Jan 29 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.6-ipl4mdk
- Fix: --delete-after option now assumes --delete option.

* Wed Jan 03 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.6-ipl3mdk
- Added annotated rsyncd.conf
- Added user/group "rsyncd" at post stage.

* Fri Nov 03 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.6-ipl2mdk
- Added xinet support.

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.6-ipl1mdk
- 2.4.6

* Thu Aug 03 2000 Dmitry V. Levin <ldv@fandra.org> 2.4.4-ipl1mdk
- RE and Fandra adaptions.

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.4-1mdk
- new verison
- rebuild for the BM
- remove stripping of binary (doh!!)

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.3-2mdk
- makeinstall macro
- macroszifications

* Fri May 26 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.4.1-2mdk
- Fix Group.

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.4.1-1mdk
- updated to 2.4.1

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.3.1.
- Add some documentation.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- update to 2.3.1.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Tue Mar 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0.

* Sat Mar 13 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.3.0 beta.

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.1.1

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- updated to 2.1.0

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- buildrooted and attr-rophied
- removed tech-report.ps; the .tex should be good enough

* Mon Aug 25 1997 John A. Martin <jam@jamux.com>
- Built 1.6.3-2 after finding no rsync-1.6.3-1.src.rpm although there
  was an ftp://ftp.redhat.com/pub/contrib/alpha/rsync-1.6.3-1.alpha.rpm
  showing no packager nor signature but giving
  "Source RPM: rsync-1.6.3-1.src.rpm".
- Changes from 1.6.2-1 packaging: added '$RPM_OPT_FLAGS' to make, strip
  to '%build', removed '%prefix'.

* Thu Apr 10 1997 Michael De La Rue <miked@ed.ac.uk>
- rsync-1.6.2-1 packaged.  (This entry by jam to credit Michael for the
  previous package(s).)
